package com.fjhx.controller;

import com.fjhx.base.R;
import com.fjhx.entity.EmailInfo;
import com.fjhx.service.IAccountService;
import com.fjhx.vo.BindingVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/account")
public class AccountController {

    @Autowired
    private IAccountService accountService;

    /**
     * 绑定邮箱
     */
    @PostMapping("/binding")
    public R binding(@RequestBody BindingVo bindingVo) {
        EmailInfo emailInfo = accountService.binding(bindingVo);
        return R.ok(emailInfo);
    }

}
